## scalable-cyrfonts 4.17+nmu1

=== debian/changelog ===
scalable-cyrfonts (4.17+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 02:40:21 +0100

=== debian/rules ===
#!/usr/bin/make -f

#    Copyright (C) 2000,2001,2002,2003 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org

SHELL = /bin/bash
TEXMFROOT = usr/share/texmf
PSFONTSROOT = /usr/share/fonts/X11/Type1
TTFFONTS = usr/share/fonts/truetype
CIDFONTS = usr/share/fonts/CID
TYPE1FORMAT = pfb
texpackage = scalable-cyrfonts-tex

build:
	dh_testdir
	-rm -f installdirs
	$(MAKE)
	-rm -rf fontinst2
	mkdir fontinst2
	cp fontinst/*.sty fontinst/*.fd fontinst/*.vf fontinst/*.tfm fontinst2
	-rm fontinst2/psyr*
	touch build

clean:
	dh_testdir
	$(MAKE) clean
	-rm -rf fontinst2
	-rm -rf debian/cyrfonts-X debian/cyrfonts-win
#	-rm -f cyrfonts-X.tar.gz cyrfonts-win.zip
	-rm -f build firstbuild
	-rm -f installdirs
	dh_clean

cyrfonts-X.tar.gz: install-X
	tar cf cyrfonts-X.tar -C debian cyrfonts-X
	gzip -9f cyrfonts-X.tar

cyrfonts-win.zip: install-win
	cd debian/cyrfonts-win && zip -r ../../cyrfonts-win.zip *

install-base: package = t1-cyrillic
install-teams: package = t1-teams
install-oldslavic: package = t1-oldslavic

install-base install-teams install-oldslavic: fontbasenames = $(shell awk -f hint.awk -v cat=fontnames -v pkg=$(package) <hintinfo)

fontnames = $(addprefix fonts/, $(addsuffix .$(TYPE1FORMAT), $(fontbasenames)))
afmnames = $(addprefix fonts/, $(addsuffix .afm, $(fontbasenames)))
fonts = $(fontnames) $(afmnames)

install-base install-teams install-oldslavic: installdirs
	install -d debian/$(package)/$(PSFONTSROOT)/
	cp $(fonts) debian/$(package)/$(PSFONTSROOT)/
	install -d debian/$(package)/etc/X11/fonts/Type1
	cp $(package)-fonts.scale debian/$(package)/etc/X11/fonts/Type1/$(package).scale
	cp $(package)-fonts.alias debian/$(package)/etc/X11/fonts/Type1/$(package).alias

install-X: installdirs
	install -d debian/cyrfonts-X/
	cp fonts/*.{pfb,afm} debian/cyrfonts-X/
	tail -n +2 -q *.scale | wc -l >debian/cyrfonts-X/fonts.scale
	tail -n +2 -q *.scale >>debian/cyrfonts-X/fonts.scale
	cat *.alias >>debian/cyrfonts-X/fonts.alias
	for doc in debian/*.docs; do \
		pkg=`basename $$doc .docs`; \
		pkg=$${pkg#t1-}; \
		install -d debian/cyrfonts-X/doc-$$pkg; \
		for file in `cat $$doc`; do \
			cp $$file debian/cyrfonts-X/doc-$$pkg/; \
		done; \
	done
	cp debian/copyright debian/cyrfonts-X/COPYRIGHT
	cp /usr/share/common-licenses/GPL debian/cyrfonts-X

install-win: installdirs
	install -d debian/cyrfonts-win/
	cp fonts/*.ttf debian/cyrfonts-win/
	for doc in debian/*.docs; do \
		pkg=`basename $$doc .docs`; \
		pkg=$${pkg#t1-}; \
		install -d debian/cyrfonts-win/doc-$$pkg; \
		for file in `cat $$doc`; do \
			cp $$file debian/cyrfonts-win/doc-$$pkg/; \
			todos debian/cyrfonts-win/doc-$$pkg/`basename $$file` ; \
		done; \
	done
	cp debian/copyright debian/cyrfonts-win/COPYRIGHT
	todos debian/cyrfonts-win/COPYRIGHT
	cp /usr/share/common-licenses/GPL debian/cyrfonts-win
	todos debian/cyrfonts-win/GPL

install-tex: installdirs
	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/map/dvips/$(texpackage)/
	cp scalable-cyrfonts-tex.map debian/$(texpackage)/$(TEXMFROOT)/fonts/map/dvips/$(texpackage)/$(texpackage).map 
	dh_installtex -p $(texpackage) map=Map,scalable-cyrfonts-tex.map
	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/enc/dvips/$(texpackage)
	cp 6r.enc debian/$(texpackage)/$(TEXMFROOT)/fonts/enc/dvips/$(texpackage)/
	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
	cp texfonts/*.$(TYPE1FORMAT) debian/$(texpackage)/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
	cp texfonts/*.afm debian/$(texpackage)/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)
	cp fontinst2/*.tfm debian/$(texpackage)/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)/
	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/vf/public/$(texpackage)
	cp fontinst2/*.vf debian/$(texpackage)/$(TEXMFROOT)/fonts/vf/public/$(texpackage)/
	install -d debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)
	cp fontinst2/*.fd debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)/
	cp fontinst2/*.sty debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)/

install: install-base install-teams install-oldslavic install-tex cyrfonts-X.tar.gz cyrfonts-win.zip

installdirs: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	touch installdirs

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installxfonts
	dh_installdocs
	dh_installchangelogs
#	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch

#.PHONY: build clean binary-indep binary-arch binary install

## scalable-cyrfonts 4.18

=== fontinst/Makefile ===
#    Copyright (C) 2001,2002,2003 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org

# We need to overwrite the standard texmf.cnf in order to
# generate hugelatex.fmt
TEXMFCNF=.
export TEXMFCNF

SHELL = /bin/sh

GSFONTS = /usr/share/fonts/type1/gsfonts

# FONTINST_VERSION = $(shell dpkg --status tetex-bin|grep ^Version: \
# 			| sed 's/.* //')

# NEW_FONTINST = $(shell dpkg --compare-versions 3.0 gt $(FONTINST_VERSION) \
# 			|| echo yes)

NEW_FONTINST = yes

#CYRFINST = /usr/share/texmf/source/latex/t2/cyrfinst

NEW_CYRFINST = ../t2/cyrfinst
OLD_CYRFINST = ../t2-991215/cyrfinst
CYRFINST = $(if $(NEW_FONTINST), $(NEW_CYRFINST), $(OLD_CYRFINST))

TEXMF.CNF = /usr/share/texlive/texmf-dist/web2c/texmf.cnf

TEXFACES = ftm fhv fcr fag fbk fsb fpl fta fsj fzc
TEXENCS = OT1 OT2 T1 TS1 T2A T2B T2C

#################################################################

all: plvplfd tfmvf

cyrfinstfiles = $(wildcard \
		$(CYRFINST)/*.etx \
		$(CYRFINST)/derivatives/*.etx \
		$(CYRFINST)/cyrillic.mtx \
		$(CYRFINST)/etc/fnstcorr.tex \
		$(CYRFINST)/etc/cyralias.tex \
		)

finst_myfiles = $(notdir $(cyrfinstfiles))

$(finst_myfiles): $(cyrfinstfiles)
	cp $(cyrfinstfiles) .
# If we use the original 6r.etx we have to distribute the corresponding
# 6r.enc.  Its copiright however is not specified.
	cp ../6r.etx . 

cyrfontinst: $(finst_myfiles)

copyafms:
	cp $(GSFONTS)/s050000l.afm psyr.afm
	for j in ../texfonts/*.afm; do \
		../shortenafm $$j >`basename $$j`; \
	done
	touch copyafms

copyall: $(finst_myfiles) copyafms
	touch copyall

face_mtx_tex = $(TEXFACES:%=%-mtx.tex)

$(face_mtx_tex) : face = $(@:%-mtx.tex=%)
$(face_mtx_tex) : makemtx.perl
	perl makemtx.perl $(face) 8a 6w >$@

latex_mtx: texmf.cnf copyall $(face_mtx_tex)
	set -e && for i in $(face_mtx_tex); do\
		latex $$i; \
	done
	touch latex_mtx

texmf.cnf: 99cyrfonts-build.cnf
	cp $(TEXMF.CNF) .
	cat 99cyrfonts-build.cnf >> texmf.cnf

hugelatex.fmt: texmf.cnf 
	luatex --ini '\input hugelatex.ini \dump'

face_enc_tex = $(foreach enc, $(TEXENCS), $(addsuffix -$(enc).tex, $(TEXFACES)))
$(face_enc_tex) : face_enc = $(subst -,/,$(@:%.tex=%))
$(face_enc_tex) : face = $(subst /,,$(dir $(face_enc)))
$(face_enc_tex) : enc = $(notdir $(face_enc))
$(face_enc_tex): makefonts.perl latex_mtx
	perl makefonts.perl $(face) $(enc) >$@

latex_fonts: copyall latex_mtx hugelatex.fmt $(face_enc_tex)
	set -e && for i in $(face_enc_tex); do\
		luatex \&hugelatex $$i; \
	done
	touch latex_fonts

plvplfd: latex_fonts
	touch plvplfd

tfmvf:	plvplfd
	-rm psy*.pl psy*.vpl psy*.tfm psy*.vf
	for f in *.vpl; do vptovf $$f; done
	for f in *.pl; do pltotf $$f; done
	touch tfmvf

.PHONY: clean
clean:
	-rm -f latex_mtx latex_fonts copyafms tfmvf copyall plvplfd
	-rm -f $(finst_myfiles)
	-rm -f makefonts.tex cyrfonts.map
	-rm -f $(face_enc_tex) $(face_mtx_tex)
	-rm -f *.etx *.mtx fnstcorr.tex cyralias.tex
	-rm -f *.afm *.pl *.tfm *.mtx *.fd *.vpl *.vf *.log
	-rm -f *~
	-rm -f hugelatex.fmt hugelatex.log hugelatex.aux texsys.aux
	-rm texmf.cnf

=== debian/changelog ===
scalable-cyrfonts (4.18) unstable; urgency=medium

  * Raise Standards-Version to 4.5.0.
  * Raise debhelper compat level to 13, closes: #965808.
  * Add build-arch target in debian/rules, closes: #999286.
  * scalable-cyrfonts-tex: fix typo in package description, thanks to
    Sergey Alyoshin, closes: #719147.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 08 Jan 2022 14:39:36 +0200

=== debian/control ===
Source: scalable-cyrfonts
Maintainer: Anton Zinoviev <zinoviev@debian.org>
Section: text
Priority: optional
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils, tex-common (>= 1.18)

Package: t1-cyrillic
Architecture: all
Description: Basic set of free PostScript fonts
 This package includes free Type1 fonts for the following font
 families: Free Times, Free Helvetian, Free Helvetian Condensed, Free
 Courier, Free Avant Garde, Free Paladin, Free Schoolbook, Free
 Bookman and Free Chancery.
 .
 These fonts cover the Latin1 and Latin2 character sets and partially
 the most popular Cyrillic character sets.
 .
 The fonts look like the fonts in the Adobe basic set of PostScript
 fonts, but the font names are customized to avoid any trademark
 infringements.
Section: x11
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Suggests: xfs (>=4.0) | xserver
Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

Package: t1-teams
Architecture: all
Description: Teams -- a PostScript font covering ASCII and basic Cyrillic
 This is a Type1 font family (with regular, bold, slanted and
 slanted-bold faces) developed by TopTeam Co. -- a Bulgarian
 publishing house.  They use it to publish their newspapers and
 magazines.
 .
 These fonts cover only the English Latin characters and the
 Bulgarian and Russian Cyrillic characters.
Section: x11
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Suggests: xfs (>=4.0) | xserver
Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

Package: t1-oldslavic
Architecture: all
Description: OldSlavic -- a Cyrillic Type1 font with medieval design
 The letters in this font resemble the look of the medieval Cyrillic
 printed books.
 .
 This font is not for general use.  It contains only the basic
 Cyrillic and Latin letters; there are almost no punctuation signs in
 it.
Section: text
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Suggests: xfs (>=4.0) | xserver
Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

Package: scalable-cyrfonts-tex
Architecture: all
Description: Scalable Cyrillic fonts for TeX
 This package installs all needed TeX font metric files, virtual
 fonts, font definitions and some style packages in order to provide
 TeX with the following font families: Free Times, Free Helvetian,
 Free Helvetian Condensed, Free Courier, Free Avant Garde, Free
 Paladin, Free Schoolbook, Free Bookman, Free Chancery, Teams and
 OldSlavic.
 .
 If you want to have these font families available to X11 and
 Defoma-aware applications (Ghostscript, Grace, SciGraphica) then
 please install the packages t1-cyrillic, t1-teams and t1-oldslavic.
 .
 In order to make this package functional please read the file
 /usr/share/doc/scalable-cyrfonts-tex/README.Debian.
Section: tex
Priority: optional
Depends: ${misc:Depends}
Suggests: t1-cyrillic, t1-teams, t1-oldslavic

## scalable-cyrfonts 4.18+num1

=== Makefile ===
#    Copyright (C) 2000,2001,2003 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org


SHELL = /bin/bash

all:	build

unpack:
	-mkdir fonts
	-mkdir teams
	tar zxf teams-1.1.tar.gz -C teams
	cp teams/teams/Teams/*.{pfa,afm} fonts
	-mkdir urw
	tar jxf urw-fonts-1.0.7pre40-src.tar.bz2 -C urw
	cat fontnames | while read a b; do mv -v $$a $$b; done
	-mkdir oldslavic
	tar jxf oldslavic.tar.bz2 -C oldslavic
	cp oldslavic/*.{afm,pfb} fonts
	touch unpack

convert: unpack
	-mkdir texfonts
	./convert_fonts
	touch convert

t1-cyrillic-fonts.alias:	hint.awk hintinfo
	awk -f hint.awk -v cat=alias -v pkg=t1-cyrillic <hintinfo >$@

t1-teams-fonts.alias:	hint.awk hintinfo
	awk -f hint.awk -v cat=alias -v pkg=t1-teams <hintinfo >$@

t1-oldslavic-fonts.alias:	hint.awk hintinfo
	awk -f hint.awk -v cat=alias -v pkg=t1-oldslavic <hintinfo >$@

t1-cyrillic-fonts.scale:	hint.awk hintinfo
	awk -f hint.awk -v cat=scale -v pkg=t1-cyrillic <hintinfo >$@

t1-teams-fonts.scale:	hint.awk hintinfo
	awk -f hint.awk -v cat=scale -v pkg=t1-teams <hintinfo >$@

t1-oldslavic-fonts.scale:	hint.awk hintinfo
	awk -f hint.awk -v cat=scale -v pkg=t1-oldslavic <hintinfo >$@

fonts.alias: t1-cyrillic-fonts.alias t1-teams-fonts.alias t1-oldslavic-fonts.alias 

fonts.scale: t1-cyrillic-fonts.scale t1-teams-fonts.scale t1-oldslavic-fonts.scale 

build:	convert fonts.alias fonts.scale scalable-cyrfonts-tex.map
	cd fontinst && $(MAKE) all
	touch build

scalable-cyrfonts-tex.map:	hint.awk hintinfo
	awk -f hint.awk -v cat=texfontmap <hintinfo | sort >scalable-cyrfonts-tex.map

clean:
	-rm -f unpack convert makeafm1 makeafm2 makeafm makeraw1 makeraw2 makeraw3 makepfa makepfb build
	-rm -rf *~
	-rm -rf teams urw oldslavic fonts
	-rm -rf RAW Teams URW afm1 raw1 raw3 afm2 raw2 afm pfa pfb doc
	-rm -f *fonts.alias *fonts.scale Fontmap scalable-cyrfonts-tex.map
	-rm -rf fontinst/*.pfb fontinst/*.pfa
	-cd fontinst && $(MAKE) clean
	-rm -rf texfonts/ cidfonts/

checkroot:
	test root = "`whoami`"

.PHONY:	clean checkroot

=== debian/changelog ===
scalable-cyrfonts (4.18+num1) unstable; urgency=medium

  * Non maintainer upload
  * Use StandardSymbolsPS.afm from fonts-urw-base35 instead of
    s050000l.afm from gsfonts. Closes: #1020205
    As there are slight changes in the source, there's a chance this
    might introduce a regression in the visual.

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 15 Oct 2022 23:32:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: text
 Priority: optional
 Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 13), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils, tex-common (>= 1.18)
+Build-Depends: debhelper-compat (= 13), tar (>=1.13.18), bzip2, fontforge, fonts-urw-base35, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils, tex-common (>= 1.18)
 
 Package: t1-cyrillic
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,9 @@
 TYPE1FORMAT = pfb
 texpackage = scalable-cyrfonts-tex
 
-build:
+build: build-indep build-arch
+
+build-indep:
 	dh_testdir
 	-rm -f installdirs
 	$(MAKE)
@@ -34,15 +36,17 @@
 	mkdir fontinst2
 	cp fontinst/*.sty fontinst/*.fd fontinst/*.vf fontinst/*.tfm fontinst2
 	-rm fontinst2/psyr*
-	touch build
+	touch build-indep
 
+build-arch:
+	dh_testdir
 clean:
 	dh_testdir
 	$(MAKE) clean
 	-rm -rf fontinst2
 	-rm -rf debian/cyrfonts-X debian/cyrfonts-win
 #	-rm -f cyrfonts-X.tar.gz cyrfonts-win.zip
-	-rm -f build firstbuild
+	-rm -f build-indep firstbuild
 	-rm -f installdirs
 	dh_clean
 
@@ -127,7 +131,7 @@
 installdirs: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	touch installdirs

## scalable-cyrfonts 4.18+num2

=== fontinst/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 SHELL = /bin/sh
 
-GSFONTS = /usr/share/fonts/type1/gsfonts
+GSFONTS = /usr/share/fonts/type1/urw-base35
 
 # FONTINST_VERSION = $(shell dpkg --status tetex-bin|grep ^Version: \
 # 			| sed 's/.* //')
@@ -67,7 +67,7 @@
 cyrfontinst: $(finst_myfiles)
 
 copyafms:
-	cp $(GSFONTS)/s050000l.afm psyr.afm
+	cp $(GSFONTS)/StandardSymbolsPS.afm psyr.afm
 	for j in ../texfonts/*.afm; do \
 		../shortenafm $$j >`basename $$j`; \
 	done

=== debian/changelog ===
scalable-cyrfonts (4.18+num2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0, closes: #1007062.
  * Remove accidentally included directory scalable-cyrfonts-4.14ubuntu1.
  * d/control: Remove unnecessary Priority fields.

 -- Bastian Germann <bage@debian.org>  Tue, 09 Jul 2024 17:39:06 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  fonts, but the font names are customized to avoid any trademark
  infringements.
 Section: x11
-Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
@@ -38,7 +37,6 @@
  These fonts cover only the English Latin characters and the
  Bulgarian and Russian Cyrillic characters.
 Section: x11
-Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
@@ -55,7 +53,6 @@
  Cyrillic and Latin letters; there are almost no punctuation signs in
  it.
 Section: text
-Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
@@ -79,6 +76,5 @@
  In order to make this package functional please read the file
  /usr/share/doc/scalable-cyrfonts-tex/README.Debian.
 Section: tex
-Priority: optional
 Depends: ${misc:Depends}
 Suggests: t1-cyrillic, t1-teams, t1-oldslavic

## scalable-cyrfonts 4.19

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,6 @@
 #    along with this program; if not, write to the Free Software
 #    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-#    My e-mail is zinoviev@debian.org
 
 
 SHELL = /bin/bash
@@ -29,9 +28,6 @@
 	-mkdir urw
 	tar jxf urw-fonts-1.0.7pre40-src.tar.bz2 -C urw
 	cat fontnames | while read a b; do mv -v $$a $$b; done
-	-mkdir oldslavic
-	tar jxf oldslavic.tar.bz2 -C oldslavic
-	cp oldslavic/*.{afm,pfb} fonts
 	touch unpack
 
 convert: unpack
@@ -45,21 +41,15 @@
 t1-teams-fonts.alias:	hint.awk hintinfo
 	awk -f hint.awk -v cat=alias -v pkg=t1-teams <hintinfo >$@
 
-t1-oldslavic-fonts.alias:	hint.awk hintinfo
-	awk -f hint.awk -v cat=alias -v pkg=t1-oldslavic <hintinfo >$@
-
 t1-cyrillic-fonts.scale:	hint.awk hintinfo
 	awk -f hint.awk -v cat=scale -v pkg=t1-cyrillic <hintinfo >$@
 
 t1-teams-fonts.scale:	hint.awk hintinfo
 	awk -f hint.awk -v cat=scale -v pkg=t1-teams <hintinfo >$@
 
-t1-oldslavic-fonts.scale:	hint.awk hintinfo
-	awk -f hint.awk -v cat=scale -v pkg=t1-oldslavic <hintinfo >$@
+fonts.alias: t1-cyrillic-fonts.alias t1-teams-fonts.alias
 
-fonts.alias: t1-cyrillic-fonts.alias t1-teams-fonts.alias t1-oldslavic-fonts.alias 
-
-fonts.scale: t1-cyrillic-fonts.scale t1-teams-fonts.scale t1-oldslavic-fonts.scale 
+fonts.scale: t1-cyrillic-fonts.scale t1-teams-fonts.scale
 
 build:	convert fonts.alias fonts.scale scalable-cyrfonts-tex.map
 	cd fontinst && $(MAKE) all
@@ -71,7 +61,7 @@
 clean:
 	-rm -f unpack convert makeafm1 makeafm2 makeafm makeraw1 makeraw2 makeraw3 makepfa makepfb build
 	-rm -rf *~
-	-rm -rf teams urw oldslavic fonts
+	-rm -rf teams urw fonts
 	-rm -rf RAW Teams URW afm1 raw1 raw3 afm2 raw2 afm pfa pfb doc
 	-rm -f *fonts.alias *fonts.scale Fontmap scalable-cyrfonts-tex.map
 	-rm -rf fontinst/*.pfb fontinst/*.pfa

=== debian/changelog ===
scalable-cyrfonts (4.19) unstable; urgency=medium

  * Adopt package, closes: #596674.
  * Drop t1-oldslavic, closes: #1116039, #1118242, #866301.
  * Set TEXMFVAR to writable directory on build, closes: #1117431.
  * Drop cyrfonts-X.tar.gz and cyrfonts-win.zip.
  * Drop non-existing Suggests, closes: #1118241, #1118243.
  * Use strict mode in maintainer scripts, closes: #866289, #866259, #866302.
  * Add documentation for Apache-2 license and override lintian err.
  * Drop versioned Conflict on xbase-clients.

 -- Bastian Germann <bage@debian.org>  Tue, 18 Nov 2025 20:14:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: scalable-cyrfonts
-Maintainer: Anton Zinoviev <zinoviev@debian.org>
+Maintainer: Bastian Germann <bage@debian.org>
 Section: text
 Priority: optional
 Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 13), tar (>=1.13.18), bzip2, fontforge, fonts-urw-base35, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils, tex-common (>= 1.18)
+Build-Depends: debhelper-compat (= 13), tar (>=1.13.18), bzip2, fontforge, fonts-urw-base35, xfonts-utils, texlive, texlive-font-utils, tex-common (>= 1.18)
 
 Package: t1-cyrillic
 Architecture: all
@@ -22,8 +22,8 @@
 Section: x11
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Suggests: xfs (>=4.0) | xserver
-Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
+Suggests: xserver
+Conflicts: scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
 
 Package: t1-teams
@@ -39,24 +39,8 @@
 Section: x11
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Suggests: xfs (>=4.0) | xserver
-Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
-Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
-
-Package: t1-oldslavic
-Architecture: all
-Description: OldSlavic -- a Cyrillic Type1 font with medieval design
- The letters in this font resemble the look of the medieval Cyrillic
- printed books.
- .
- This font is not for general use.  It contains only the basic
- Cyrillic and Latin letters; there are almost no punctuation signs in
- it.
-Section: text
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}
-Suggests: xfs (>=4.0) | xserver
-Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
+Suggests: xserver
+Conflicts: scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
 
 Package: scalable-cyrfonts-tex
@@ -71,10 +55,10 @@
  .
  If you want to have these font families available to X11 and
  Defoma-aware applications (Ghostscript, Grace, SciGraphica) then
- please install the packages t1-cyrillic, t1-teams and t1-oldslavic.
+ please install the packages t1-cyrillic and t1-teams.
  .
  In order to make this package functional please read the file
  /usr/share/doc/scalable-cyrfonts-tex/README.Debian.
 Section: tex
 Depends: ${misc:Depends}
-Suggests: t1-cyrillic, t1-teams, t1-oldslavic
+Suggests: t1-cyrillic, t1-teams

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 #    along with this program; if not, write to the Free Software
 #    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-#    My e-mail is zinoviev@debian.org
+export TEXMFVAR = /tmp
 
 SHELL = /bin/bash
 TEXMFROOT = usr/share/texmf
@@ -44,69 +44,25 @@
 	dh_testdir
 	$(MAKE) clean
 	-rm -rf fontinst2
-	-rm -rf debian/cyrfonts-X debian/cyrfonts-win
-#	-rm -f cyrfonts-X.tar.gz cyrfonts-win.zip
 	-rm -f build-indep firstbuild
 	-rm -f installdirs
 	dh_clean
 
-cyrfonts-X.tar.gz: install-X
-	tar cf cyrfonts-X.tar -C debian cyrfonts-X
-	gzip -9f cyrfonts-X.tar
-
-cyrfonts-win.zip: install-win
-	cd debian/cyrfonts-win && zip -r ../../cyrfonts-win.zip *
-
 install-base: package = t1-cyrillic
 install-teams: package = t1-teams
-install-oldslavic: package = t1-oldslavic
 
-install-base install-teams install-oldslavic: fontbasenames = $(shell awk -f hint.awk -v cat=fontnames -v pkg=$(package) <hintinfo)
+install-base install-teams: fontbasenames = $(shell awk -f hint.awk -v cat=fontnames -v pkg=$(package) <hintinfo)
 
 fontnames = $(addprefix fonts/, $(addsuffix .$(TYPE1FORMAT), $(fontbasenames)))
 afmnames = $(addprefix fonts/, $(addsuffix .afm, $(fontbasenames)))
 fonts = $(fontnames) $(afmnames)
 
-install-base install-teams install-oldslavic: installdirs
+install-base install-teams: installdirs
 	install -d debian/$(package)/$(PSFONTSROOT)/
 	cp $(fonts) debian/$(package)/$(PSFONTSROOT)/
 	install -d debian/$(package)/etc/X11/fonts/Type1
 	cp $(package)-fonts.scale debian/$(package)/etc/X11/fonts/Type1/$(package).scale
 	cp $(package)-fonts.alias debian/$(package)/etc/X11/fonts/Type1/$(package).alias
-
-install-X: installdirs
-	install -d debian/cyrfonts-X/
-	cp fonts/*.{pfb,afm} debian/cyrfonts-X/
-	tail -n +2 -q *.scale | wc -l >debian/cyrfonts-X/fonts.scale
-	tail -n +2 -q *.scale >>debian/cyrfonts-X/fonts.scale
-	cat *.alias >>debian/cyrfonts-X/fonts.alias
-	for doc in debian/*.docs; do \
-		pkg=`basename $$doc .docs`; \
-		pkg=$${pkg#t1-}; \
-		install -d debian/cyrfonts-X/doc-$$pkg; \
-		for file in `cat $$doc`; do \
-			cp $$file debian/cyrfonts-X/doc-$$pkg/; \
-		done; \
-	done
-	cp debian/copyright debian/cyrfonts-X/COPYRIGHT
-	cp /usr/share/common-licenses/GPL debian/cyrfonts-X
-
-install-win: installdirs
-	install -d debian/cyrfonts-win/
-	cp fonts/*.ttf debian/cyrfonts-win/
-	for doc in debian/*.docs; do \
-		pkg=`basename $$doc .docs`; \
-		pkg=$${pkg#t1-}; \
-		install -d debian/cyrfonts-win/doc-$$pkg; \
-		for file in `cat $$doc`; do \
-			cp $$file debian/cyrfonts-win/doc-$$pkg/; \
-			todos debian/cyrfonts-win/doc-$$pkg/`basename $$file` ; \
-		done; \
-	done
-	cp debian/copyright debian/cyrfonts-win/COPYRIGHT
-	todos debian/cyrfonts-win/COPYRIGHT
-	cp /usr/share/common-licenses/GPL debian/cyrfonts-win
-	todos debian/cyrfonts-win/GPL
 
 install-tex: installdirs
 	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/map/dvips/$(texpackage)/
@@ -126,7 +82,7 @@
 	cp fontinst2/*.fd debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)/
 	cp fontinst2/*.sty debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)/
 
-install: install-base install-teams install-oldslavic install-tex cyrfonts-X.tar.gz cyrfonts-win.zip
+install: install-base install-teams install-tex
 
 installdirs: build
 	dh_testdir
@@ -141,7 +97,9 @@
 	dh_installxfonts
 	dh_installdocs
 	dh_installchangelogs
-#	dh_link
+	dh_installchangelogs -pt1-cyrillic urwdoc/ChangeLog
+	dh_installchangelogs -pt1-teams teams/teams/doc/ChangeLog
+	dh_lintian
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## scalable-cyrfonts 4.20

=== debian/changelog ===
scalable-cyrfonts (4.20) unstable; urgency=medium

  * Set USER env variable to make the pkg reproducible, closes: #1108709.

 -- Bastian Germann <bage@debian.org>  Wed, 19 Nov 2025 22:12:12 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 #    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 export TEXMFVAR = /tmp
+export USER = Debian
 
 SHELL = /bin/bash
 TEXMFROOT = usr/share/texmf
